# Event Callbacks

## `onAuth(authInfo: AuthInfo)`

Callback function called when authentication state changes.

## `onBackup(backupInfo: BackupInfo)`&#x20;

Callback function called when the user needs or performs backups.

## `onOpen()`&#x20;

Callback function called when the wallet interface is opened.

## `onClose()`&#x20;

Callback function called when the wallet interface is closed.

## `onResize()`&#x20;

Callback function called when the wallet interface is resized.

## `onBalance()`&#x20;

Callback function called when the balance information changes.

## `onRequest()`&#x20;

Callback function called when wallet receives a request.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wander.app/wander-connect/event-callbacks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
